﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace ToolTip_Binding_Sample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }
    }

    public class ViewModel : ObservableCollection<DataValues>
    {
        public ViewModel()
        {
            Add(new DataValues("2008", 32, 36, 40, 44));
            Add(new DataValues("2009", 34, 38, 42, 46));
            Add(new DataValues("2010", 41, 45, 49, 53));
            Add(new DataValues("2011", 42, 46, 50, 54));
            Add(new DataValues("2012", 48, 52, 56, 60));
            Add(new DataValues("2013", 45, 49, 53, 57));
        }
    }

    public class DataValues
    {
        public string Year { get; set; }

        public double Data { get; set; }

        public double Music { get; set; }

        public double Sports { get; set; }

        public double News { get; set; }

        public DataValues(string year, double data, double music, double sports, double news)
        {
            Year = year;
            Data = data;
            Music = music;
            Sports = sports;
            News = news;
        }
    }
}
